cURL
curl --request POST \ --url https://api-hml.ponto-on.com/registropontos \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "endereco": "Rua teste da silva", "funcionarioId": 1 } '
{ "dataSolicitar": null, "funcionario": { "ativo": true, "cargo": "Desenvolvedor fraco", "cidade": null, "clt": false, "codeMatricula": null, "codeVerify": "$2a$12$IS5m4zyqfAJtISiXGiGiQeuAMHw4LFutmCBpCrtZwklcCkXLfVY1a", "cpfcnpj": "123.456.789-01", "dataAdmissao": null, "dataNascimento": "1990-01-01T00:00:00.000Z", "deviceToken": null, "email": "funcionario@email.com", "endereco": "Rua Gumercindo Pereira dos Santos", "fotoProfile": null, "horarioTrabalho": 9, "id": 1, "nispis": null, "nome": "teste dos testes", "pj": false, "registrosPonto": [ { "dataSolicitar": null, "horarioRegistro": "2024-02-12T05:20:29.000Z", "houveReajuste": null, "id": 46, "localizacao": "-8.2936035, -35.955603", "motivoAjuste": null, "status": "aprovado automaticamente", "tipo": "almoço" }, { "dataSolicitar": "2024-02-12T17:00:00.000Z", "horarioRegistro": "2024-02-12T01:53:58.000Z", "houveReajuste": true, "id": 45, "localizacao": "-8.2936035, -35.955603", "motivoAjuste": "Esqueci de registrar", "status": "ajuste aprovado pela empresa", "tipo": "entrada" } ], "role": "funcionario", "sentimento": "Neutro", "sobreaviso": false, "telefone": "31996745309", "uf": null, "valorHora": null }, "horarioRegistro": "2024-02-12T05:40:24.000Z", "houveReajuste": null, "id": 47, "localizacao": "-8.9999999, -35.999999", "motivoAjuste": null, "status": "aprovado automaticamente", "tipo": "retorno almoço" }
Bater Ponto (Funcionário)
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
"Rua teste da silva"
1
https://api-hml.ponto-on.com/registropontos
Show child attributes
"2024-02-12T05:40:24.000Z"
47
"-8.9999999, -35.999999"
"aprovado automaticamente"
"retorno almoço"